Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierStatistics

    java.lang.Object
      rice.p2p.glacier.v2.GlacierStatistics

    public class GlacierStatistics

extends java.lang.Object

Field Summary
`int` | `activeFetches`
`long` | `bucketConsumed`
`long` | `bucketMax`
`long` | `bucketMaxBurstSize`
`long` | `bucketMin`
`long` | `bucketTokensPerSecond`
`Environment` | `environment`
`long` | `fragmentStorageSize`
`int[]` | `messagesSentByTag`
`int` | `numContinuations`
`int` | `numFragments`
`int` | `numNeighbors`
`int` | `numObjectsInTrash`
`int` | `pendingRequests`
`IdRange` | `responsibleRange`
`long` | `tbegin`
`long` | `trashStorageSize`

Constructor Summary
`GlacierStatistics(int numTags, Environment env)`

Method Summary
`void` | `dump(Logger logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messagesSentByTag

    public int[] messagesSentByTag

### pendingRequests

    public int pendingRequests

### numNeighbors

    public int numNeighbors

### numFragments

    public int numFragments

### numContinuations

    public int numContinuations

### numObjectsInTrash

    public int numObjectsInTrash

### activeFetches

    public int activeFetches

### responsibleRange

    public IdRange responsibleRange

### fragmentStorageSize

    public long fragmentStorageSize

### trashStorageSize

    public long trashStorageSize

### tbegin

    public long tbegin

### bucketMin

    public long bucketMin

### bucketMax

    public long bucketMax

### bucketConsumed

    public long bucketConsumed

### bucketTokensPerSecond

    public long bucketTokensPerSecond

### bucketMaxBurstSize

    public long bucketMaxBurstSize

### environment

    public Environment environment

Constructor Detail

### GlacierStatistics

    public GlacierStatistics(int numTags,
                             Environment env)

Method Detail

### dump

    public void dump(Logger logger)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.